Package ch.qos.logback.core.rolling

# Interface TriggeringPolicy<E>

All Superinterfaces:
  `LifeCycle`

All Known Subinterfaces:
  `TimeBasedFileNamingAndTriggeringPolicy<E>`

All Known Implementing Classes:
  `DefaultTimeBasedFileNamingAndTriggeringPolicy`, `SizeAndTimeBasedFNATP`, `SizeAndTimeBasedRollingPolicy`, `SizeBasedTriggeringPolicy`, `TimeBasedFileNamingAndTriggeringPolicyBase`, `TimeBasedRollingPolicy`, `TriggeringPolicyBase`

public interface TriggeringPolicy<E> extends LifeCycle
A `TriggeringPolicy` controls the conditions under which roll-over occurs. Such conditions include time of day, file size, an external event, the log request or a combination thereof.

Author:
  Ceki Gülcü

## Method Summary

Modifier and Type
Method
Description
`boolean`
`isTriggeringEvent(File activeFile, E event)`
Should roll-over be triggered at this time?

### Methods inherited from interface ch.qos.logback.core.spi.LifeCycle

`isStarted, start, stop`

## Method Details

### isTriggeringEvent

boolean isTriggeringEvent(File activeFile, E event)
Should roll-over be triggered at this time?

Parameters:
  `activeFile` - A reference to the currently active log file.
  `event` - A reference to the currently event.
Returns:
  true if a roll-over should occur.